Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 23 Sep 2014, 14:47
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
TEENpup based on Puppy 4.0.5 IDE Test results
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [11 Posts]  
Author Message
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Tue 05 Aug 2008, 19:57    Post subject:  TEENpup based on Puppy 4.0.5 IDE Test results
Subject description: The future of TEENpup??
 

Hello Everyone,
After working late into the night, I had 65% of TEENpup's apps working in Puppy 4.0.5
These were the same versions as TEENpup 2008. What was discovered was the very poor start up time. About 3 times slower. I might as well go and install something like SuSe or Mepis.

I'm running these experiments as I feel that unless I can update TEENpup's base LIB's EG: glibc 2.3.5 to 2.5 or latter, the changes to Adobe flash and new web browser standards that are slowly coming in will make TEENpup far less useful for Teens surfing the net. Who wants an O/S that can't view youtube.

I have tried every alpha/beta/finally release of the Puppy 3 and 4 series and they are aways done something that made them inferior to me than the Puppy 2 series. I know that it has something to do with the changes to the base system to give it Slackware compatability.

I feel I have no choice but to either stop developing TEENpup or take the journey into creating a new version of TEENpup based on the Puppy 2 series with updated base LIBS. Something tells me to stay with the same kernel.

Any advice from anyone on how to do this would be very helpful and speed up the next release which adds desktop widgets and alot more. So if you want to see a new version of TEENpup and can help with advice on updating it base LIBS please respond.

If not I will try my hardest to do it myself.

If in the end no one really cares, let me know as I'm getting tired of doing this stuff and are sadly enjoying my new XP based EeePC which I've Vista themed and looks excellent and everything just works. (Slow ly of coarse it's Windows)

Maybe like Barry it's time for a change.

Lastly what every happens, I'll never ever use Windows to connect to the internet.

_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send private message Visit poster's website 
jakfish

Joined: 18 Jul 2008
Posts: 756

PostPosted: Tue 05 Aug 2008, 20:41    Post subject:  

John,

On which eee model are you running your distos?

Jake
Back to top
View user's profile Send private message 
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Tue 05 Aug 2008, 21:15    Post subject:  

I brought a 8.9inch screen XP 12GB 900 series EeePC to develope TEENpup on but couldn't install TEENpup or Puppy 4.0.5 onto its flash Hard Drive by external DVD Drive or USB Stick.
_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send private message Visit poster's website 
jakfish

Joined: 18 Jul 2008
Posts: 756

PostPosted: Tue 05 Aug 2008, 21:25    Post subject:  

I have the same machine/specs, but run DingoPlus off USB stick and SD, so I've no experience trying to install a Puppy derivative on the actual flash drive.

You've queried this at forum.eeeuser.com, no?

Does your TEENpup play nice with the 900's sound and fn keys?
Back to top
View user's profile Send private message 
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Tue 05 Aug 2008, 21:47    Post subject:  

Sound didn't work by default with TEENpup and haven't tried to find a fix yet. fn keys haven't tried it. I now feel that I should just run any linux from an external usb etc.
I like the way I've setup Windows on it and the way I'm feeling about the whole Linux experience at the moment have no desire at all to run Linux on my EeePC.
So thanks for your interest in helping but what I need now is a way to update TEENpup's LIB's for the future, that's my focus.

_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send private message Visit poster's website 
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Wed 06 Aug 2008, 19:33    Post subject:  

OK, got the TEENpup apps working faster in Puppy 4.0.5 IDE

We may have a chance here of getting it all working.

With glibc 2.6.1 and a very recent Kernel, TEENpup should be usable for a couple of years to come if all goes well.

Because of what I've been reading about upcoming changes in general to web standards and later versions of flash requiring newer libs, I felt I had to sadly leave the stable 2 series of Puppy or TEENpup would slowly become very limited in the way it connects to the big wide Web.

So as I expected about a 1% or less chance of anyone helping update the base LIBS in TEENpup 2008 as it's a really big job that only a handful of Puppy forum members could perform, this is really the only choice I have.

Lastly about yesterday's posts. I could have burnt my Linux collection and was really thinking about going back to Windows until it started playing up on my EeePC. I thought you can't win! I'll experiment so more.

_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send private message Visit poster's website 
jakfish

Joined: 18 Jul 2008
Posts: 756

PostPosted: Wed 06 Aug 2008, 20:13    Post subject:  

Hey, congratulations! Glad to hear that you're finding it worthwhile.

Did you get sound working on your eee 900?

Jake
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 07 Aug 2008, 01:46    Post subject:  

Quote:
Any advice from anyone on how to do this would be very helpful and speed up the next release which adds desktop widgets and a lot more


You seem to be making all the right moves.

1. Move to MID hardware (Mobile Internet Device)
2. Move to the 4 series.
3. Providing new facilities.

How to allow people to choose their required software, might be a valid question? A modular approach of adding and removing software, perhaps . . .
Package management is an issue of installing and uninstalling and Smokey has reported that he has never got this working in Puppy.
So this would probably be a separate issue to Teenpup. One of the things that might not work in Teenpup 4 is Xara - well I am not aware of anyone getting it working?
For the moment these work . . .
http://tmxxine.com/wik/wikka.php?wakka=DingoAddons

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
aragon

Joined: 15 Oct 2007
Posts: 1698
Location: Germany

PostPosted: Thu 07 Aug 2008, 03:11    Post subject:  

hi lobster,

if i remember right, i've made an sfs of the 1785-rev of xara for dingo. it worked but was so unstable that i decided to delete it (and not go on as the linux-dev of xara seems to be slow).

so i think it's possible but maybe not worthwhile.

cheers aragon

_________________
PUPPY SEARCH: http://wellminded.com/puppy/pupsearch.html
Back to top
View user's profile Send private message 
john biles


Joined: 17 Sep 2006
Posts: 1408
Location: Australia

PostPosted: Thu 07 Aug 2008, 03:16    Post subject:  

Hello Lobster,
TEENpup will just continue to be a puplet with a good selection of apps along the line of the current version.
So expect no modular thingy's

This problem with xara not working in puppy 4 for nobody has got me interested. For the record it's not working YET!! in my experiments Wink

_________________
Legacy OS 2.1 LTS Released! Install me on a new! EXT2 Partition with 500Mb of swap and I'll be happy. Razz
Legacy OS 4 Released! Install to newer legacy hardware / early EeePC's Very Happy
Back to top
View user's profile Send private message Visit poster's website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 07 Aug 2008, 04:25    Post subject:  

Smile Guys xara is the fastest, bestest vector editor I have ever used . . .
I have been making use of Inklite (in Puppy)
It is very good but with limited functionality . . . Confused

Now if Barry combined the 'sock removing' power of Eve with the so far revealed Xara code
(development stalled due to conflicts with commercial and open source interests) we could have something special Laughing

http://www.goosee.com/
http://xaraxtreme.org/

Smile

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [11 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0661s ][ Queries: 11 (0.0036s) ][ GZIP on ]